local arrayNumber = 0;
local creditsRemoved = false;

local songArrays = {
	{song = 'RT Bopeebo', composer = 'emihead', spriters = 'ghostfisk, JOHT0S, and Vesrimm', charters = 'AdrianCD'},
	{song = 'RT Fresh', composer = 'METR0GARD3N', spriters = 'ghostfisk, JOHT0S, and Vesrimm', charters = 'AdrianCD'},
	{song = 'RT Dad Battle', composer = 'METR0GARD3N', spriters = 'ghostfisk, JOHT0S, and Vesrimm', charters = 'AdrianCD'},
	{song = 'RT Spookeez', composer = 'METR0GARD3N', spriters = 'ninphobia & JOHT0S', charters = 'Senshi_Z'},
	{song = 'RT South', composer = 'sirfitness', spriters = 'ninphobia & JOHT0S', charters = 'Senshi_Z'},
	{song = 'Pesticide', composer = 'sirfitness', spriters = 'ninphobia & JOHT0S', charters = 'ninphobia'},
	{song = 'RT Pico', composer = 'sirfitness', spriters = 'JOHT0S & Vesrimm', charters = 'squidley'},
	{song = 'RT Blammed', composer = 'sirfitness', spriters = 'JOHT0S & Vesrimm', charters = 'sirfitness'},
}

function onCreate()
	for i = 1, #(songArrays) do
		if songName == songArrays[i].song then
			arrayNumber = i
		end
	end

	makeLuaSprite('bg', '', 0, 730)
	makeGraphic('bg', 1280, 100, '000000')
	setObjectCamera('bg', 'other');
	setProperty('bg.alpha', 0.5)
	addLuaSprite('bg')

	makeLuaText('creditsText', string.gsub(songArrays[arrayNumber].song .. " by " .. songArrays[arrayNumber].composer .. " | Sprites by ".. songArrays[arrayNumber].spriters .. " | Chart by " .. songArrays[arrayNumber].charters, 'RT', 'Rose Tinted'), 0, 0, 730);
	setTextBorder('creditsText', 2, '000000');
	setTextSize('creditsText', 20);
	screenCenter('creditsText', 'X')
	addLuaText('creditsText');
	setObjectCamera('creditsText', 'other');
end

function onSongStart()
	doTweenY('aumddCredits', 'creditsText', 690, 0.3, 'elasticOut')
	doTweenY('addCreditBG', 'bg', 685, 0.3, 'elasticOut')
end

function onUpdate()
	if hits == 1 and not creditsRemoved then
		doTweenY('removeCredits', 'creditsText', 730, 0.3, 'elasticIn')
		doTweenY('removeCreditBG', 'bg', 725, 0.3, 'elasticIn')
		creditsRemoved = true
	end
end